package main

import (
	"caj-larsson/bog/server"
	"io/ioutil"
)

func main() {
	content, err := ioutil.ReadFile("default.toml")

	if err != nil {
		panic(err)
	}

	config, err := server.ConfigFromToml(string(content))
	if err != nil {
		panic(err)
	}
	bog := server.New(config)
	bog.Run()
}
